Running WebAccess after Apache 2.4 Upgrade - Which Configurations to Change

0 Likes
over 8 years ago
Recently we had a customer who needed to run a newer version of Apache than the 2.2.12 provided in the Novell update channels.

Here's what I did to make it work:

I added the OBS Repo for Apache (Note: doing so means Novell will not provide support for Apache any longer - this configuration is for advanced administrators only!)

zypper ar http://download.opensuse.org/repositories/Apache/SLE_11_SP2/ APACHE

Next I installed the latest versions of Apache2 and LibApr-Util1 (needed for Apache2.4)
zypper install apache2-2.4.4-3.1.x86_64
zypper install libapr-util1-1.4.1-26.2.x86_64

Between Apache 2.2 and 2.4 some directives were dropped, and some were changed.

We need to change a few minor configurations:
vi /etc/apache2/httpd.conf

On Line 140: Comment Out
#DefaultType text/plain

For SSL:
vi /etc/apache2/ssl-global.conf

On Line 48: Comment Out
# SSLSessionCache shmcb:/var/lib/apache2/ssl_scache(512000)

On Line 54: Comment Out
# SSLMutex "file:/var/lib/apache2/ssl_mutex"

(If you need these modules I leave it up to the reader to determine how to make them work in 2.4)

vi /etc/opt/novell/httpd/conf.d/base.conf

Comment out the following two lines on Line 15 and 16:
# RewriteLog /var/log/apache2/rewrite_log
# RewriteLogLevel 1

Enable Apache 2.4's new Authentication Modules:
a2enmod authz_core
a2enmod authz_host

and finally: Restart apache
rcapache2 restart

Check the new version:
apache2ctl -v

Server version: Apache/2.4.4 (Linux/SUSE)
Server built: 2013-06-18 07:43:27.000000000 0000

Lastly, log into WebAccess and make sure all still works!

Written for NETCB by Peter van der Walt

Labels:

How To-Best Practice
Comment List
Anonymous
Related Discussions
Recommended